/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增删除表单 POST /api/InsureOfflineBill/CreateOrEditInsureOfflineBill */
export async function createOrEditInsureOfflineBill(
  body: API.CreateOrEditInsureOfflineBillInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/InsureOfflineBill/CreateOrEditInsureOfflineBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除表单 DELETE /api/InsureOfflineBill/DeleteInsureProduct */
export async function deleteInsureProduct(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteInsureProductParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureOfflineBill/DeleteInsureProduct', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 批增---线下批增导出 POST /api/InsureOfflineBill/GeOfflineInsureBatchAddListExport */
export async function geOfflineInsureBatchAddListExport(
  body: API.BatchRefundInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureOfflineBill/GeOfflineInsureBatchAddListExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 退保--线下退保导出 POST /api/InsureOfflineBill/GeOfflineInsureBatchRefundListExport */
export async function geOfflineInsureBatchRefundListExport(
  body: API.BatchRefundInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureOfflineBill/GeOfflineInsureBatchRefundListExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 退保---线上退保导出 POST /api/InsureOfflineBill/GeOnlineInsureBatchRefundListExport */
export async function geOnlineInsureBatchRefundListExport(
  body: API.BatchRefundInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureOfflineBill/GeOnlineInsureBatchRefundListExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批增名单导出 POST /api/InsureOfflineBill/GetBatchAddInfoDetailExport */
export async function getBatchAddInfoDetailExport(
  body: API.BatchRefundInfoDetailInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureOfflineBill/GetBatchAddInfoDetailExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 线下退保--退保名单 POST /api/InsureOfflineBill/GetBatchRefundInfoDetail */
export async function getBatchRefundInfoDetail(
  body: API.BatchRefundInfoDetailInput,
  options?: API.RequestConfig
) {
  return request<API.BatchRefundInfoDetailOutputPageOutput>(
    '/api/InsureOfflineBill/GetBatchRefundInfoDetail',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 退保名单导出 POST /api/InsureOfflineBill/GetBatchRefundInfoDetailExport */
export async function getBatchRefundInfoDetailExport(
  body: API.BatchRefundInfoDetailInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureOfflineBill/GetBatchRefundInfoDetailExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 线下退保--获取退保名单 GET /api/InsureOfflineBill/GetInsureBatchStaff */
export async function getInsureBatchStaff(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureBatchStaffParams,
  options?: API.RequestConfig
) {
  return request<API.BatchRefundStaffOutput[]>('/api/InsureOfflineBill/GetInsureBatchStaff', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保险管理列表导出 POST /api/InsureOfflineBill/GetInsureOfflineBillExportList */
export async function getInsureOfflineBillExportList(
  body: API.GetInsureOfflineBillExportInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/InsureOfflineBill/GetInsureOfflineBillExportList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取表单详情 GET /api/InsureOfflineBill/GetInsureOfflineBillInfoById */
export async function getInsureOfflineBillInfoById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureOfflineBillInfoByIdParams,
  options?: API.RequestConfig
) {
  return request<API.InsureOfflineBillInfoDto>(
    '/api/InsureOfflineBill/GetInsureOfflineBillInfoById',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取线下表单列表 POST /api/InsureOfflineBill/GetInsureOfflineBillList */
export async function getInsureOfflineBillList(
  body: API.GetInsureOfflineBillInput,
  options?: API.RequestConfig
) {
  return request<API.InsureOfflineBillDtoPageOutput>(
    '/api/InsureOfflineBill/GetInsureOfflineBillList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 线下退保--详情表头 GET /api/InsureOfflineBill/GetOfflineInsureBatchRefundHead */
export async function getOfflineInsureBatchRefundHead(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetOfflineInsureBatchRefundHeadParams,
  options?: API.RequestConfig
) {
  return request<API.BatchRefundInfoOutput>(
    '/api/InsureOfflineBill/GetOfflineInsureBatchRefundHead',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 线下退保--退保列表 POST /api/InsureOfflineBill/GetOfflineInsureBatchRefundList */
export async function getOfflineInsureBatchRefundList(
  body: API.BatchRefundInput,
  options?: API.RequestConfig
) {
  return request<API.BatchRefundOutputPageOutput>(
    '/api/InsureOfflineBill/GetOfflineInsureBatchRefundList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 线下退保--退保申请 POST /api/InsureOfflineBill/OfflineInsureBatchRefundApply */
export async function offlineInsureBatchRefundApply(
  body: API.OfflineInsureBatchRefundApplyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureOfflineBill/OfflineInsureBatchRefundApply', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 线下退保--退保审核 POST /api/InsureOfflineBill/OfflineInsureBatchRefundCheck */
export async function offlineInsureBatchRefundCheck(
  body: API.OfflineInsureBatchRefundCheckInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureOfflineBill/OfflineInsureBatchRefundCheck', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置保单状态 POST /api/InsureOfflineBill/SeInsureOfflineBillStatus */
export async function seInsureOfflineBillStatus(
  body: API.SetOfflineBillStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/InsureOfflineBill/SeInsureOfflineBillStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
